SQLITE3CHANGEGROUP_CHANGE_TEXT(3)

NAME
sqlite3changegroup_change_text - add a text value to a changegroup

SYNOPSIS
#include <sqlite3.h>
int
sqlite3changegroup_change_text(sqlite3_changegroup*, int, int, const char *pVal, int nVal);

DESCRIPTION
This function is similar to sqlite3changegroup_change_int64(). It configures the currently accumulated change with a text value instead of a 64-bit integer. Parameter pVal points to a buffer containing the text encoded using utf-8. Parameter nVal may either be the size of the text value in bytes, or else a negative value, in which case the buffer pVal points to is assumed to be nul-terminated.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 13501.

    SQLITE_API int sqlite3changegroup_change_text(
      sqlite3_changegroup*, int, int, const char *pVal, int nVal
    );